# Name

spotbugs

# Category

One or more of:

Test

# Description

Runs the Java-based SpotBugs utility or, in deprecated mode, the FindBugs utility.
Only one of `spotbugs` or `findbugs` may be active at a time, with `spotbugs` taking precedent.

# Environment Variables

Variable | Passed to Docker | Notes
--- | --- | ---
`SPOTBUGS_HOME` | NO | Used to determine the location of the SpotBugs installation

# Options

Option | Notes
--- | ---
`--findbugs-home==<dir>` | (DEPRECATED) FindBugs home directory. There is no default.
`--findbugs-strict-precheck` | (DEPRECATED) Fail patch testing if `findbugs` determines a failure before even applying the patch
`--spotbugs-home==<dir>` | SpotBugs home directory. There is no default.
`--spotbugs-strict-precheck` | Fail patch testing if `spotbugs` determines a failure before even applying the patch

# Docker Notes

None

# Developer Notes

None